 configdialog.cpp   |  2 +-
 latexeditor.h      |  2 +-
 latexeditorview.h  |  2 +-
 latexhighlighter.h |  2 +-
 spellerdialog.h    |  2 +-
 texmaker.cpp       |  4 ++--
 texmaker.h         |  2 +-
 texmaker.pro       | 37 +++----------------------------------
 8 files changed, 11 insertions(+), 42 deletions(-)

diff --git a/configdialog.cpp b/configdialog.cpp
index e596a2c..3660429 100644
--- a/configdialog.cpp
+++ b/configdialog.cpp
@@ -220,7 +220,7 @@ void ConfigDialog::browseAspell()
 QDir spelldir(QCoreApplication::applicationDirPath());
 #else
 #ifdef DEBIAN_SPELLDIR
-QDir spelldir(PREFIX"/share/myspell/dicts");
+QDir spelldir(PREFIX"/share/myspell");
 #else
 QDir spelldir(PREFIX"/share/texmaker");
 #endif
diff --git a/latexeditor.h b/latexeditor.h
index 29b01f8..1db88ad 100644
--- a/latexeditor.h
+++ b/latexeditor.h
@@ -33,7 +33,7 @@
 
 #include "latexhighlighter.h"
 #include "textblockselection.h"
-#include "hunspell/hunspell.hxx"
+#include <hunspell.hxx>
 
 typedef  int UserBookmarkList[3];
 
diff --git a/latexeditorview.h b/latexeditorview.h
index 9809d86..adca0b2 100644
--- a/latexeditorview.h
+++ b/latexeditorview.h
@@ -23,7 +23,7 @@
 #include "gotolinewidget.h"
 #include "replacewidget.h"
 #include "minisplitter.h"
-#include "hunspell/hunspell.hxx"
+#include <hunspell.hxx>
 
 class LatexEditorView : public QWidget  {
    Q_OBJECT
diff --git a/latexhighlighter.h b/latexhighlighter.h
index e0b91b1..74ec42a 100644
--- a/latexhighlighter.h
+++ b/latexhighlighter.h
@@ -20,7 +20,7 @@
 #include <QColor>
 #include <QTextBlockUserData>
 //#include "latexeditor.h"
-#include "hunspell/hunspell.hxx"
+#include <hunspell.hxx>
 
 class QTextDocument;
 class LatexEditor;
diff --git a/spellerdialog.h b/spellerdialog.h
index 83248ae..cd16dad 100644
--- a/spellerdialog.h
+++ b/spellerdialog.h
@@ -13,7 +13,7 @@
 
 #include "ui_spellerdialog.h"
 #include "latexeditor.h"
-#include "hunspell/hunspell.hxx"
+#include <hunspell.hxx>
 
 #include <QTextCursor>
 
diff --git a/texmaker.cpp b/texmaker.cpp
index 51d2082..607f66e 100644
--- a/texmaker.cpp
+++ b/texmaker.cpp
@@ -4363,7 +4363,7 @@ geometry_options=config->value("Quick/GeometryOptions","left=2cm,right=2cm,top=2
 QString dicDir=QCoreApplication::applicationDirPath() + "/";
 #else
 #ifdef DEBIAN_SPELLDIR
-QString dicDir=PREFIX"/share/myspell/dicts/";
+QString dicDir=PREFIX"/share/myspell/";
 #else
 QString dicDir=PREFIX"/share/texmaker/";
 #endif
@@ -10835,4 +10835,4 @@ if (singlemode && currentEditorView())
 	    UpdateBibliography();
 	    }
 	}
-}
\ No newline at end of file
+}
diff --git a/texmaker.h b/texmaker.h
index f7e278c..e80d9e5 100644
--- a/texmaker.h
+++ b/texmaker.h
@@ -48,7 +48,7 @@
 #include "usertagslistwidget.h"
 #include "xmltagslistwidget.h"
 #include "logeditor.h"
-#include "hunspell/hunspell.hxx"
+#include <hunspell.hxx>
 #include "browser.h"
 #include "pdfviewerwidget.h"
 #include "pdfviewer.h"
diff --git a/texmaker.pro b/texmaker.pro
index d2312d1..0009663 100644
--- a/texmaker.pro
+++ b/texmaker.pro
@@ -87,25 +87,6 @@ HEADERS	+= texmaker.h \
	versiondialog.h \
	unicodedialog.h \
	unicodeview.h \
-	hunspell/affentry.hxx \
-	hunspell/affixmgr.hxx \
-	hunspell/atypes.hxx \
-	hunspell/baseaffix.hxx \
-	hunspell/csutil.hxx \
-	hunspell/dictmgr.hxx \
-	hunspell/hashmgr.hxx \
-	hunspell/htypes.hxx \
-	hunspell/hunspell.hxx \
-	hunspell/hunspell.h \
-	hunspell/langnum.hxx \
-	hunspell/license.hunspell \
-	hunspell/phonet.hxx \
-	hunspell/suggestmgr.hxx \
-	hunspell/license.myspell \
-	hunspell/filemgr.hxx \
-	hunspell/hunzip.hxx \
-	hunspell/replist.hxx \
-	hunspell/w_char.hxx \
 	singleapp/qtlocalpeer.h \
 	singleapp/qtlockedfile.h \
 	singleapp/qtsingleapplication.h \
@@ -196,18 +174,6 @@ SOURCES	+= main.cpp \
 	versiondialog.cpp \
 	unicodedialog.cpp \
 	unicodeview.cpp \
-	hunspell/affentry.cxx \
-	hunspell/affixmgr.cxx \
-	hunspell/csutil.cxx \
-	hunspell/dictmgr.cxx \
-	hunspell/hashmgr.cxx \
-	hunspell/hunspell.cxx \
-	hunspell/phonet.cxx \
-	hunspell/suggestmgr.cxx \
-	hunspell/utf_info.cxx \
-	hunspell/filemgr.cxx \
-	hunspell/replist.cxx \
-	hunspell/hunzip.cxx \
 	singleapp/qtlocalpeer.cpp \
 	singleapp/qtlockedfile.cpp \
 	singleapp/qtsingleapplication.cpp \
@@ -454,3 +420,6 @@ INSTALLS += desktop
 icon.files = utilities/texmaker.png
 INSTALLS += icon
 }
+
+CONFIG	+= link_pkgconfig
+PKGCONFIG += hunspell
\ No newline at end of file
